net.sf.jasperreports.charts

## Interface JRTimeSeriesPlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable, JRCommonLinePlot, JRTimeAxisFormat, JRValueAxisFormat
  All Known Implementing Classes:
    JRBaseTimeSeriesPlot, JRDesignTimeSeriesPlot, JRFillTimeSeriesPlot

      public interface JRTimeSeriesPlot
      extends JRChartPlot, JRTimeAxisFormat, JRValueAxisFormat, JRCommonLinePlot

  This type of plot is similar to the Line plot and Scatter plot in that it lets users configure the labels for both axes, the rendering of lines to connect the item points, and the rendering of the small shapes that mark each item point on the target plot area. It is used only in combination with Time Series charts.
  Version:
    $Id: JRTimeSeriesPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `JRExpression` | `getTimeAxisLabelExpression()`
    `JRExpression` | `getValueAxisLabelExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRTimeAxisFormat

      `getOwnTimeAxisLabelColor, getOwnTimeAxisLineColor, getOwnTimeAxisTickLabelColor, getTimeAxisLabelColor, getTimeAxisLabelFont, getTimeAxisLineColor, getTimeAxisTickLabelColor, getTimeAxisTickLabelFont, getTimeAxisTickLabelMask, getTimeAxisVerticalTickLabels`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat

      `getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCommonLinePlot

      `getShowLines, getShowShapes, setShowLines, setShowShapes`

- - ### Method Detail

    - #### getTimeAxisLabelExpression

          JRExpression getTimeAxisLabelExpression()

      Returns:
        the time axis label expression

    - #### getValueAxisLabelExpression

          JRExpression getValueAxisLabelExpression()

      Returns:
        the value axis label expression

    - #### getDomainAxisMinValueExpression

          JRExpression getDomainAxisMinValueExpression()

      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          JRExpression getDomainAxisMaxValueExpression()

      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          JRExpression getRangeAxisMinValueExpression()

      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          JRExpression getRangeAxisMaxValueExpression()

      Returns:
        the maximum value expression for the range axis

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com